# Generated by Django 4.2 on 2023-05-24 15:20

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0039_ifpuser_contract_from_ifpuser_contract_to_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="ifpuser",
            name="original_institute",
        ),
        migrations.RemoveField(
            model_name="ifpuser",
            name="other_email",
        ),
        migrations.AddField(
            model_name="bankaccount",
            name="bank_details_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/bank_proof/", "bank_details_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="bankaccount",
            name="pan",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="affiliated_institution",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="affiliated_institution_dor",
            field=models.DateField(blank=True, default=None, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="affiliated_institution_email",
            field=models.EmailField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="affiliated_institution_id",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "affiliated_institution_id_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="affiliated_to_institution",
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child1_dob",
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child1_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/relation/", "child1_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child1_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child1_relation",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child2_dob",
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child2_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/relation/", "child2_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child2_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="child2_relation",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="emergency_contact_mobile",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="emergency_contact_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="emergency_contact_relationship",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="passport",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename("user/", "passport_"),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="permanent_address_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/address_proof/", "permanent_address_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="spouse_dob",
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="spouse_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "user/relation/", "spouse_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="spouse_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="spouse_relation",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="visa_file",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename("user/", "visa_"),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="ifpuser",
            name="visa_number",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
    ]
